Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.filebuffers
Interface IFileBufferListener

All Known Implementing Classes:
  TextFileDocumentProvider.FileBufferListener

public interface IFileBufferListener

Interface for listeners to file buffer changes.

Since:
  3.0

Method Summary
`void` | `bufferContentAboutToBeReplaced(IFileBuffer buffer)` Informs the listener about an upcoming replace of the contents of the given buffer.
`void` | `bufferContentReplaced(IFileBuffer buffer)` Informs the listener that the buffer of the given buffer has been replaced.
`void` | `bufferCreated(IFileBuffer buffer)` Informs the listener about the creation of the given buffer.
`void` | `bufferDisposed(IFileBuffer buffer)` Informs the listener about the disposal of the given buffer.
`void` | `dirtyStateChanged(IFileBuffer buffer, boolean isDirty)` Informs the listener that the dirty state of the given buffer changed to the specified value
`void` | `stateChangeFailed(IFileBuffer buffer)` Informs the listener that a state changing operation on the given file buffer failed.
`void` | `stateChanging(IFileBuffer buffer)` Informs the listener about the start of a state changing operation on the given buffer.
`void` | `stateValidationChanged(IFileBuffer buffer, boolean isStateValidated)` Informs the listener that the state validation changed to the specified value.
`void` | `underlyingFileDeleted(IFileBuffer buffer)` Informs the listener that the file underlying the given file buffer has been deleted.
`void` | `underlyingFileMoved(IFileBuffer buffer, IPath path)` Informs the listener that the file underlying the given file buffer has been moved to the given location.

Method Detail

### bufferCreated

    public void bufferCreated(IFileBuffer buffer)

  Informs the listener about the creation of the given buffer.

  Parameters:
    `buffer` - the created file buffer

### bufferDisposed

    public void bufferDisposed(IFileBuffer buffer)

  Informs the listener about the disposal of the given buffer.

  Parameters:
    `buffer` - the disposed file buffer

### bufferContentAboutToBeReplaced

    public void bufferContentAboutToBeReplaced(IFileBuffer buffer)

  Informs the listener about an upcoming replace of the contents of the given buffer.

  Parameters:
    `buffer` - the effected file buffer

### bufferContentReplaced

    public void bufferContentReplaced(IFileBuffer buffer)

  Informs the listener that the buffer of the given buffer has been replaced.

  Parameters:
    `buffer` - the effected file buffer

### stateChanging

    public void stateChanging(IFileBuffer buffer)

  Informs the listener about the start of a state changing operation on the given buffer.

  Parameters:
    `buffer` - the effected file buffer

### dirtyStateChanged

    public void dirtyStateChanged(IFileBuffer buffer,
                                  boolean isDirty)

  Informs the listener that the dirty state of the given buffer changed to the specified value

  Parameters:
    `buffer` - the effected file buffer
    `isDirty` - `true` if the buffer is dirty, `false` otherwise

### stateValidationChanged

    public void stateValidationChanged(IFileBuffer buffer,
                                       boolean isStateValidated)

  Informs the listener that the state validation changed to the specified value.

  Parameters:
    `buffer` - the effected file buffer
    `isStateValidated` - `true` if the buffer state is validated, `false` otherwise

### underlyingFileMoved

    public void underlyingFileMoved(IFileBuffer buffer,
                                    IPath path)

  Informs the listener that the file underlying the given file buffer has been moved to the given location.

  Parameters:
    `buffer` - the effected file buffer
    `path` - the new location (not just the container)

### underlyingFileDeleted

    public void underlyingFileDeleted(IFileBuffer buffer)

  Informs the listener that the file underlying the given file buffer has been deleted.

  Parameters:
    `buffer` - the effected file buffer

### stateChangeFailed

    public void stateChangeFailed(IFileBuffer buffer)

  Informs the listener that a state changing operation on the given file buffer failed.

  Parameters:
    `buffer` - the effected file buffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.